VELO Production Issue - Bug #22362

[PROD][iOS][Inbox][Announcement] App Crashed When Tap on Announcement

20 August 2025 11:37 AM - yap chekying

Status: Pending PROD Start date: 20 August 2025
Priority: Normal Due date:

Assignee: yap chekying % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Steps to Reproduce:

1. Go to Inbox.

2. Select "Announcement" tab.
3. Tap on announcement.

Actual Result:
App crashed.

Expected Result:
Should be able to view announcement.

History

#1 - 20 August 2025 11:49 AM - He Xi Yeo
- Status changed from New to Resolved

- % Done changed from 0 to 100

Root cause:
The view file that navigate to doesn't exist. Caused by incorrect navigate destination.

Solution:
Fixed the navigate destination.

#2 - 20 August 2025 11:49 AM - He Xi Yeo
- Assignee changed from He Xi Yeo to yap chekying

#3 - 20 August 2025 04:17 PM - yap chekying
- Status changed from Resolved to Pending UAT

Tested ok in SIT

#4 - 20 August 2025 04:20 PM - yap chekying

- File WhatsApp Video 2025-08-19 at 18.53.50.mp4 added

- Status changed from Pending UAT to Pending PROD

OCBC product owner tested good in UAT

Files

WhatsApp Video 2025-08-19 at 18.53.50.mp4 930 KB 20 August 2025

20 August 2025

yap chekying
